import request from '@/utils/request'

// 查询员工管理列表
export function listApi(query) {
  return request({
    url: '/system/sysUser/list',
    method: 'get',
    params: query
  })
}

// 查询员工管理详细
export function getApi(id) {
  return request({
    url: '/system/sysUser/' + id,
    method: 'get'
  })
}

// 新增员工管理
export function addApi(data) {
  return request({
    url: '/sysUser',
    method: 'post',
    data: data
  })
}

// 修改员工管理
export function updateApi(data) {
  return request({
    url: '/sysUser',
    method: 'put',
    data: data
  })
}

// 删除员工管理
export function delApi(id) {
  return request({
    url: '/system/sysUser/' + id,
    method: 'delete'
  })
}

// 导出员工管理
export function exportApi(query) {
  return request({
    url: '/system/sysUser/export',
    method: 'post',
    params: query
  })
}
